Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::rotate_copy_fn Struct Reference
Algorithms

## Public Member Functions
template<typename I , typename S , typename O , typename P = identity>
auto | operator() (I begin, I middle, S end, O out) const -> rotate_copy_result< I, O > requires forward_iterator< I > &&sentinel_for< S, I > &&weakly_incrementable< O > &&indirectly_copyable< I, O >
template<typename Rng , typename O , typename P = identity>
auto | operator() (Rng &&rng, iterator_t< Rng > middle, O out) const -> rotate_copy_result< safe_iterator_t< Rng >, O > requires range< Rng > &&weakly_incrementable< O > &&indirectly_copyable< iterator_t< Rng >, O >